Skip to content
Start here

Initialize new SSO connector

client.iam.sso.create(SSOCreateParams { account_id, email_domain, begin_verification, use_fedramp_language } params, RequestOptionsoptions?): SSOCreateResponse { id, created_on, email_domain, 4 more }
POST/accounts/{account_id}/sso_connectors

Initialize new SSO connector

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
SSO Connector Write
ParametersExpand Collapse
params: SSOCreateParams { account_id, email_domain, begin_verification, use_fedramp_language }
account_id: string

Path param: Account identifier tag.

maxLength32
minLength32
email_domain: string

Body param: Email domain of the new SSO connector

begin_verification?: boolean

Body param: Begin the verification process after creation

use_fedramp_language?: boolean

Body param: Controls the display of FedRAMP language to the user during SSO login

ReturnsExpand Collapse
SSOCreateResponse { id, created_on, email_domain, 4 more }
id?: string

SSO Connector identifier tag.

maxLength32
minLength32
created_on?: string

Timestamp for the creation of the SSO connector

formatdate-time
email_domain?: string
enabled?: boolean
updated_on?: string

Timestamp for the last update of the SSO connector

formatdate-time
use_fedramp_language?: boolean

Controls the display of FedRAMP language to the user during SSO login

verification?: Verification { code, status }
code?: string

DNS verification code. Add this entire string to the DNS TXT record of the email domain to validate ownership.

status?: "awaiting" | "pending" | "failed" | "verified"

The status of the verification code from the verification process.

One of the following:
"awaiting"
"pending"
"failed"
"verified"

Initialize new SSO connector

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const sso = await client.iam.sso.create({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  email_domain: 'example.com',
});

console.log(sso.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02.0000Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02.0000Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02.0000Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02.0000Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}